<!doctype html>
<html lang="de">
<head>
<meta charset="utf-8">

<title>Php-Tipp: dynamic Layout/ Menue</title>


<link href="Styles/layout.css" rel="stylesheet" type="text/css" />
</head>

<body class="home">

<div class="container">
  <div class="header"><!-- end .header -->
<?php include 'header.php'; ?>
  </div>
  <div class="sidebar1">
<?php include 'nav.php'; ?>
    <p>&nbsp;</p>
    <!-- end .sidebar1 --></div>
  <div class="content">

    <h1>

      <!-- end .content -->Home</h1>
    <p>Hier geht es um dynamische Bereiche der Seiten, welche in gesonderten PHP-Dateien ausgelagert sind und mittels des PHP-Befehls &quot;inculude&quot; an den entsprechenden Stellen eingebunden werden.</p>
    <p>Dazu schreibt man den HTML-Code und/oder den PHP-Code in eine PHP-Datei. Diese wird dann an der Stelle der Seite, wo der Code erscheinen soll, per include-Befehl eingefügt:</p>
    <p><span class="code">&lt;?php include 'footer.php'; ?&gt; </span></p>
    <p>Es gibt in diesem Beispiel 3 Bereiche (oben, links und unten), die sich auf allen Seiten wiederholen. Die dazugehörigen PHP-Seiten  sind: header.php, nav.php, footer.php</p>
    <p>Das Navigationsmenü hat noch eine weitere Besonderheit und zwar wird die aktuelle Seite im Menü farblich hervorgehoben. </p>
    <p>Das wurde mit einem Trick in CSS gemacht. Siehe dazu die <a href="info.php">info.php</a></p>
    <p>&nbsp;</p>
  </div>
  <div class="footer">
<?php include 'footer.php'; ?>
  <!-- end .footer --></div>
</div>
</body>
</html>