<!doctype html>
<html lang="de">
<head>
<meta charset="utf-8">

<title>Php-Tipp: dynamic Layout/ Menue</title>


<link href="Styles/layout.css" rel="stylesheet" type="text/css" />
</head>

<body class="info">

<div class="container">
  <div class="header"><!-- end .header -->
<?php include 'header.php'; ?>
  </div>
  <div class="sidebar1">
<?php include 'nav.php'; ?>
    <p>&nbsp;</p>
    <!-- end .sidebar1 --></div>
  <div class="content">

    <h1>

      <!-- end .content -->Quick Info</h1>
    <p>Es werden verschiedene Bereiche per PHP-Seiten definiert und per <span class="code">include</span> Anweisung auf den einzelnen Seiten eingefügt.</p>
    <p>Das Navigationsmenü ist in der Seite nav.php</p>
    <p>Das Menü hat die Besonderheit, dass die aktuell aufgerufene Seite im Menü hervorgehoben ist. Das wird mit Klassen erzeugt.</p>
    <p>Jede Seite bekommt im body Element eine andere Klasse zugewiesen.</p>
    <p><code>&lt;body class=&quot;home&quot;&gt;</code></p>
    <p>Die Klassen heißen home, dateien, info, hirtenbrief, impressum</p>
    <p>In der Datei nav.php wird die Navigation aufgeführt. Dort hat jedes a Element die gleiche Klasse, wie auf der Seite im body Element auf die das href Attribut verweist.</p>
    <p><code> &lt;ul class=&quot;nav&quot;&gt;<br>
&lt;li&gt;&lt;a href=&quot;index.php&quot; class=&quot;home&quot;&gt;HOME&lt;/a&gt;&lt;/li&gt;<br>
&lt;li&gt;&lt;a href=&quot;dateien.php&quot; class=&quot;dateien&quot;&gt;DATEIEN&lt;/a&gt;&lt;/li&gt;<br>
&lt;li&gt;&lt;a href=&quot;info.php&quot; class=&quot;info&quot;&gt;QUICK INFO&lt;/a&gt;&lt;/li&gt;<br>
&lt;li&gt;&lt;a href=&quot;hirtenbrief.php&quot; class=&quot;hirtenbrief&quot;&gt;HIRTENBRIEF&lt;/a&gt; <br>
&lt;li&gt;&lt;a href=&quot;impressum.php&quot; class=&quot;impressum&quot;&gt;IMPRESSUM&lt;/a&gt; <br>
&lt;/ul&gt;</code></p>
    <p>Die CSS Datei sorgt dafür, dass die Hintergrundfarbe der a Elemente schwarz ist.</p>
    <p>Zusätzlich werden noch einige Kombinatoren erstellt, welche die Hintergrundfarbe auf Weiß setzt. </p>
    <p><code>.home .home,<br>
      .
    dateien .dateien,<br>
    .hirtenbrief .hirtenbrief,<br>
    .impressum .impressum{<br>
    background-color: white;<br>
    }</code></p>
    <p>Das Leerzeichen zwischen den Klassen ist der Nachfahrenkombinator, also greift der Selektor nur, wenn sowohl im body als auch in dem a-Element die entsprechende gleiche Klasse zugewiesen wurde.</p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <h1>&nbsp;</h1>
    <h3>&nbsp;</h3>
  </div>
  <div class="footer">
<?php include 'footer.php'; ?>
  <!-- end .footer --></div>
</div>
</body>
</html>